# Uses of Class
org.eclipse.ui.texteditor.quickdiff.ReferenceProviderDescriptor

Packages that use ReferenceProviderDescriptor
Package
Description
org.eclipse.ui.texteditor.quickdiff
Provides interfaces to for the `org.eclipse.ui.editors.quickDiffReferenceProvider` extension point and adds an action to enable quick diff display for an editor.

## Uses of ReferenceProviderDescriptor in org.eclipse.ui.texteditor.quickdiff

Methods in org.eclipse.ui.texteditor.quickdiff that return ReferenceProviderDescriptor
Modifier and Type
Method
Description
`ReferenceProviderDescriptor`
QuickDiff.`getDefaultProvider()`
Returns the descriptor of the "last saved version" reference provider.
Methods in org.eclipse.ui.texteditor.quickdiff that return types with arguments of type ReferenceProviderDescriptor
Modifier and Type
Method
Description
`List<ReferenceProviderDescriptor>`
QuickDiff.`getReferenceProviderDescriptors()`
Returns a non-modifiable list of `ReferenceProviderDescriptor` describing all extension to the `quickDiffReferenceProvider` extension point.